Anonymous Login
2019-12-08 18:01 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001321v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reporterdlw1660 
Assigned Toopto 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001321: bulk add increasing time by 5 hours when date not selected
Descriptionwhen useing the action section of project designer to make changes to any action except start date or end date it adds 5 hours to the time of the task being updated.
Additional Informationnot sure if its related but when you add task with end the project designer module it adds 5 hours to the time when submitted
TagsNo tags attached.
Attached Files

-Relationships
related to 0001250closedcaseydk offsets start date by locale difference on Update 
+Relationships

-Notes

~0002908

sasquatch58 (reporter)

I've seen this sort of thing before and the time added or deleted is the time difference between your locale and Zulu time. I was getting this on saving existing tasks (after textual change) but not in the designer. This was corrected but will check again against latest git.

~0002909

opto (manager)

Last edited: 2013-05-31 12:52

yes, this is still happening in the latest git (today - 130531):

task time is changed by 1 hour (GMT versus CET).

And another bug:
changing the date sets the time of day to the current time:

shifting a task from Apr 2nd 9am (at 10:23pm of my local computer time)
to May 5th sets the time to May 5th, 1023pm instead of May 5th, 9am.


Klaus

~0002910

opto (manager)

Last edited: 2013-06-01 03:48

this s wrong:
    $end_date = new w2p_Utilities_Date($bulk_task_end_date);

it takes the time from the form, sets timezone to GMT BUT does not convert the time to the new timezone.
So for 8 am CET, CET is replaced by GMT to give 8 am GMT instead of 9 am GMT


if no times are set, it seems it loads the task, which does not convert to user TZ, but then store converts back to systemTZ (in the pre hook).
Klaus

~0002911

opto (manager)

Last edited: 2013-06-01 04:06

1) times changes upon changing other properties:
FIX


upon load, we need to convert to user TZ because load does not do it:
            $upd_task->load($key);
                        $upd_task->task_start_date= ($AppUI->formatTZAwareTime($upd_task->task_start_date, '%Y-%m-%d %T'));
                        $upd_task->task_end_date= $AppUI->formatTZAwareTime($upd_task->task_end_date, '%Y-%m-%d %T');

~0002912

opto (manager)

see FIX in last post

~0002917

caseydk (administrator)

Merged to core: https://github.com/web2project/web2project/commit/36ff85ce5f8f4cc77b5184fcdfcd8b1d07c510ae

~0002922

dlw1660 (reporter)

problem still occures if you make bulk changes and one of the change includes progress. otherwise the fix works

~0002923

dlw1660 (reporter)

in last note i just installed the fix. when I install fresh load now time subtracts 5 hours when any change is made

~0002924

opto (manager)

now we have it double fixed:

if we do 0001327 (which is reasonable) we do not want # 1321, that was only a workaround.

~0002929

caseydk (administrator)

Thanks, resolved:
https://github.com/web2project/web2project/commit/908dab83f688dc28c8020b2e018dfc549b102fd3
+Notes

-Issue History
Date Modified Username Field Change
2013-05-23 02:00 dlw1660 New Issue
2013-05-23 19:37 sasquatch58 Note Added: 0002908
2013-05-31 12:48 opto Note Added: 0002909
2013-05-31 12:52 opto Note Edited: 0002909
2013-06-01 00:20 opto Note Added: 0002910
2013-06-01 03:48 opto Note Edited: 0002910
2013-06-01 04:06 opto Note Added: 0002911
2013-06-01 04:06 opto Note Edited: 0002911
2013-06-01 04:08 opto Note Added: 0002912
2013-06-01 04:08 opto Status new => resolved
2013-06-01 04:08 opto Resolution open => fixed
2013-06-01 04:08 opto Assigned To => opto
2013-06-01 20:56 caseydk Note Added: 0002917
2013-06-02 02:48 dlw1660 Note Added: 0002922
2013-06-02 02:48 dlw1660 Status resolved => feedback
2013-06-02 02:48 dlw1660 Resolution fixed => reopened
2013-06-02 03:12 dlw1660 Note Added: 0002923
2013-06-02 03:53 opto Note Added: 0002924
2013-06-02 20:50 caseydk Note Added: 0002929
2013-06-02 20:50 caseydk Status feedback => resolved
2013-06-02 20:50 caseydk Resolution reopened => fixed
2013-06-02 20:52 caseydk Relationship added related to 0001250
2013-06-02 20:52 caseydk Relationship replaced has duplicate 0001250
2013-06-02 20:53 caseydk Relationship replaced related to 0001250
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History